As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 805826 - Change Box.com serviceURL to point to 25GB promotional page
: Change Box.com serviceURL to point to 25GB promotional page
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: FileLink (show other bugs)
: 17 Branch
: x86 Windows 7
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Brian King [:kinger]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 08:57 PDT by Mike Conley (:mconley) - PTO on Jan 20th
Modified: 2012-10-29 03:04 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
Fix (902 bytes, patch)
2012-10-27 09:26 PDT, Brian King [:kinger]
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Mike Conley (:mconley) - PTO on Jan 20th 2012-10-26 08:57:45 PDT
For Box.com Filelinks, we'd like the icon and link to Box to take users to the 25GB promotional page.
Comment 1 User image Mike Conley (:mconley) - PTO on Jan 20th 2012-10-26 08:59:11 PDT
Brian - do you think you could give this a shot? Trivial fix - basically, just update the serviceURL for nsBox.js to point to https://www.box.com/thunderbird

I can review that for you lickity split.
Comment 2 User image Brian King [:kinger] 2012-10-27 09:26:51 PDT
Created attachment 675855 [details] [diff] [review]
Fix

No problem, for review...
Comment 3 User image Mike Conley (:mconley) - PTO on Jan 20th 2012-10-27 11:02:30 PDT
Comment on attachment 675855 [details] [diff] [review]
Fix

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on c-c, etc.): 
Risk to taking this patch (and alternatives if risky):
Comment 4 User image Mike Conley (:mconley) - PTO on Jan 20th 2012-10-27 11:08:07 PDT
Very not risky for Aurora and Beta.
Comment 5 User image Ryan VanderMeulen [:RyanVM] 2012-10-27 14:55:46 PDT
https://hg.mozilla.org/comm-central/rev/a03c8b87763e

Thanks for the patch, Brian! One request - to make life easier for those checking in on your behalf, please make sure that hg is configured per the below page so that your future patches have all the needed metadata for checkin. Thanks!
https://developer.mozilla.org/en-US/docs/Creating_a_patch_that_can_be_checked_in

Note You need to log in before you can comment on or make changes to this bug.